;/* zconf.h -- configuration of the zlib compression library
; * Copyright (C) 1995-2010 Jean-loup Gailly.
; * For conditions of distribution and use, see copyright notice in zlib.h
; */
;/* @(#) $Id$ */ 
IFNDEF ZCONF_H
ZCONF_H	equ	
;/*
; * If you *really* need a unique prefix for all types and library functions,
; * compile with -DZ_PREFIX. The "standard" zlib should be compiled without it.
; * Even better than compiling with -DZ_PREFIX would be to use configure to set
; * this permanently in zconf.h using "./configure --zprefix".
; */
IFDEF Z_PREFIX;/* may be set to #if 1 by ./configure */ 
;/* all linked symbols */ 
_dist_code	equ	< z__dist_code>
_length_code	equ	< z__length_code>
_tr_align	equ	< z__tr_align>
_tr_flush_block	equ	< z__tr_flush_block>
_tr_init	equ	< z__tr_init>
_tr_stored_block	equ	< z__tr_stored_block>
_tr_tally	equ	< z__tr_tally>
adler32	equ	< z_adler32>
adler32_combine	equ	< z_adler32_combine>
adler32_combine64	equ	< z_adler32_combine64>
compress	equ	< z_compress>
compress2	equ	< z_compress2>
compressBound	equ	< z_compressBound>
crc32	equ	< z_crc32>
crc32_combine	equ	< z_crc32_combine>
crc32_combine64	equ	< z_crc32_combine64>
deflate	equ	< z_deflate>
deflateBound	equ	< z_deflateBound>
deflateCopy	equ	< z_deflateCopy>
deflateEnd	equ	< z_deflateEnd>
deflateInit2_	equ	< z_deflateInit2_>
deflateInit_	equ	< z_deflateInit_>
deflateParams	equ	< z_deflateParams>
deflatePrime	equ	< z_deflatePrime>
deflateReset	equ	< z_deflateReset>
deflateSetDictionary	equ	< z_deflateSetDictionary>
deflateSetHeader	equ	< z_deflateSetHeader>
deflateTune	equ	< z_deflateTune>
deflate_copyright	equ	< z_deflate_copyright>
get_crc_table	equ	< z_get_crc_table>
gz_error	equ	< z_gz_error>
gz_intmax	equ	< z_gz_intmax>
gz_strwinerror	equ	< z_gz_strwinerror>
gzbuffer	equ	< z_gzbuffer>
gzclearerr	equ	< z_gzclearerr>
gzclose	equ	< z_gzclose>
gzclose_r	equ	< z_gzclose_r>
gzclose_w	equ	< z_gzclose_w>
gzdirect	equ	< z_gzdirect>
gzdopen	equ	< z_gzdopen>
gzeof	equ	< z_gzeof>
gzerror	equ	< z_gzerror>
gzflush	equ	< z_gzflush>
gzgetc	equ	< z_gzgetc>
gzgets	equ	< z_gzgets>
gzoffset	equ	< z_gzoffset>
gzoffset64	equ	< z_gzoffset64>
gzopen	equ	< z_gzopen>
gzopen64	equ	< z_gzopen64>
gzprintf	equ	< z_gzprintf>
gzputc	equ	< z_gzputc>
gzputs	equ	< z_gzputs>
gzread	equ	< z_gzread>
gzrewind	equ	< z_gzrewind>
gzseek	equ	< z_gzseek>
gzseek64	equ	< z_gzseek64>
gzsetparams	equ	< z_gzsetparams>
gztell	equ	< z_gztell>
gztell64	equ	< z_gztell64>
gzungetc	equ	< z_gzungetc>
gzwrite	equ	< z_gzwrite>
inflate	equ	< z_inflate>
inflateBack	equ	< z_inflateBack>
inflateBackEnd	equ	< z_inflateBackEnd>
inflateBackInit_	equ	< z_inflateBackInit_>
inflateCopy	equ	< z_inflateCopy>
inflateEnd	equ	< z_inflateEnd>
inflateGetHeader	equ	< z_inflateGetHeader>
inflateInit2_	equ	< z_inflateInit2_>
inflateInit_	equ	< z_inflateInit_>
inflateMark	equ	< z_inflateMark>
inflatePrime	equ	< z_inflatePrime>
inflateReset	equ	< z_inflateReset>
inflateReset2	equ	< z_inflateReset2>
inflateSetDictionary	equ	< z_inflateSetDictionary>
inflateSync	equ	< z_inflateSync>
inflateSyncPoint	equ	< z_inflateSyncPoint>
inflateUndermine	equ	< z_inflateUndermine>
inflate_copyright	equ	< z_inflate_copyright>
inflate_fast	equ	< z_inflate_fast>
inflate_table	equ	< z_inflate_table>
uncompress	equ	< z_uncompress>
zError	equ	< z_zError>
zcalloc	equ	< z_zcalloc>
zcfree	equ	< z_zcfree>
zlibCompileFlags	equ	< z_zlibCompileFlags>
zlibVersion	equ	< z_zlibVersion>
;/* all zlib typedefs in zlib.h and zconf.h */ 
Byte	equ	< z_Byte>
Bytef	equ	< z_Bytef>
alloc_func	equ	< z_alloc_func>
charf	equ	< z_charf>
free_func	equ	< z_free_func>
gzFile	equ	< z_gzFile>
gz_header	equ	< z_gz_header>
gz_headerp	equ	< z_gz_headerp>
in_func	equ	< z_in_func>
intf	equ	< z_intf>
out_func	equ	< z_out_func>
uInt	equ	< z_uInt>
uIntf	equ	< z_uIntf>
uLong	equ	< z_uLong>
uLongf	equ	< z_uLongf>
voidp	equ	< z_voidp>
voidpc	equ	< z_voidpc>
voidpf	equ	< z_voidpf>
;/* all zlib structs in zlib.h and zconf.h */ 
gz_header_s	equ	< z_gz_header_s>
internal_state	equ	< z_internal_state>
ENDIF 
IF DEFINED(__MSDOS__) AND  NOTDEFINED(MSDOS)
MSDOS	equ	
ENDIF 
IF (DEFINED(OS_2) OR DEFINED(__OS2__)) AND  NOTDEFINED(OS2)
OS2	equ	
ENDIF 
IF DEFINED(_WINDOWS) AND  NOTDEFINED(WINDOWS)
WINDOWS	equ	
ENDIF 
IF DEFINED(_WIN32) OR DEFINED(_WIN32_WCE) OR DEFINED(__WIN32__)
IFNDEF ef WIN32
WIN32	equ	
ENDIF 
ENDIF 
IF (DEFINED(MSDOS) OR DEFINED(OS2) OR DEFINED(WINDOWS)) AND  NOTDEFINED(WIN32)
IF  NOTDEFINED(__GNUC__) AND  NOTDEFINED(__FLAT__) AND  NOTDEFINED(__386__)
IFNDEF ndef SYS16BIT
SYS16BIT	equ	
ENDIF 
ENDIF 
ENDIF 
;/*
; * Compile with -DMAXSEG_64K if the alloc function cannot allocate more
; * than 64k bytes at a time (needed on systems with 16-bit int).
; */
IFDEF SYS16BIT
MAXSEG_64K	equ	
ENDIF 
IFDEF MSDOS
UNALIGNED_OK	equ	
ENDIF 
IFDEF __STDC_VERSION__
IFNDEF ef STDC
STDC	equ	
ENDIF 
IF  __STDC_VERSION__ GE 199901
IFNDEF ndef STDC99
STDC99	equ	
ENDIF 
ENDIF 
ENDIF 
IF  NOTDEFINED(STDC) AND (DEFINED(__STDC__) OR DEFINED(__cplusplus))
STDC	equ	
ENDIF 
IF  NOTDEFINED(STDC) AND (DEFINED(__GNUC__) OR DEFINED(__BORLANDC__))
STDC	equ	
ENDIF 
IF  NOTDEFINED(STDC) AND (DEFINED(MSDOS) OR DEFINED(WINDOWS) OR DEFINED(WIN32))
STDC	equ	
ENDIF 
IF  NOTDEFINED(STDC) AND (DEFINED(OS2) OR DEFINED(__HOS_AIX__))
STDC	equ	
ENDIF 
IF DEFINED(__OS400__) AND  NOTDEFINED(STDC);/* iSeries (formerly AS/400). */ 
STDC	equ	
ENDIF 
IFNDEF STDC
IFNDEF ef const;/* cannot use !defined(STDC) && !defined(const) on Mac */ 
CONST1	equ	
ENDIF 
ENDIF 
;/* Some Mac compilers merge all .h files incorrectly: */ 
IF DEFINED(__MWERKS__) OR DEFINED(applec) OR DEFINED(THINK_C) OR DEFINED(__SC__)
NO_DUMMY_DECL	equ	
ENDIF 
;/* Maximum value for memLevel in deflateInit2 */ 
IFNDEF MAX_MEM_LEVEL
IFDEF ef MAXSEG_64K
MAX_MEM_LEVEL	equ	< 8>
ELSE
MAX_MEM_LEVEL	equ	< 9>
ENDIF 
ENDIF 
;/* Maximum value for windowBits in deflateInit2 and inflateInit2.
; * WARNING: reducing MAX_WBITS makes minigzip unable to extract .gz files
; * created by gzip. (Files created by minigzip can still be extracted by
; * gzip.)
; */
IFNDEF MAX_WBITS
MAX_WBITS	equ	< 15>
ENDIF 
;/* The memory requirements for deflate are (in bytes):
;            (1 << (windowBits+2)) +  (1 << (memLevel+9))
; that is: 128K for windowBits=15  +  128K for memLevel = 8  (default values)
; plus a few kilobytes for small objects. For example, if you want to reduce
; the default memory requirements from 256K to 128K, compile with
;     make CFLAGS="-O -DMAX_WBITS=14 -DMAX_MEM_LEVEL=7"
; Of course this will generally degrade compression (there's no free lunch).
;   The memory requirements for inflate are (in bytes) 1 << windowBits
; that is, 32K for windowBits=15 (default value) plus a few kilobytes
; for small objects.
;*/
;/* Type declarations */ 
IFNDEF OF;/* function prototypes */ 
IFDEF ef STDC
OF	equ	< args>
ELSE
ENDIF 
ENDIF 
;/* The following definitions for FAR are needed only for MSDOS mixed
; * model programming (small or medium model with some far allocations).
; * This was tested only with MSC; for other MSDOS compilers you may have
; * to define NO_MEMCPY in zutil.h.  If you don't need the mixed model,
; * just define FAR to be empty.
; */
IFDEF SYS16BIT
IF DEFINED(M_I86SM) OR DEFINED(M_I86MM)
;/* MSC small or medium model */ 
SMALL_MEDIUM	equ	
IFDEF fdef _MSC_VER
far1	equ	< _far>
ELSE
far1	equ	< far>
ENDIF 
ENDIF 
IF (DEFINED(__SMALL__) OR DEFINED(__MEDIUM__))
;/* Turbo C small or medium model */ 
SMALL_MEDIUM	equ	
IFDEF fdef __BORLANDC__
far1	equ	< _far>
ELSE
far1	equ	< far>
ENDIF 
ENDIF 
ENDIF 
IF DEFINED(WINDOWS) OR DEFINED(WIN32)
;/* If building or using zlib as a DLL, define ZLIB_DLL.
;    * This is not mandatory, but it offers a little performance increase.
;    */
IFDEF ef ZLIB_DLL
IF DEFINED(WIN32) AND ( NOTDEFINED(__BORLANDC__) OR ( __BORLANDC__ GE 0500h))
IFDEF ifdef ZLIB_INTERNAL
ZEXTERN	equ	< dllexport>
ELSE
ZEXTERN	equ	< dllimport>
ENDIF 
ENDIF 
ENDIF ;/* ZLIB_DLL */ 
;/* If building or using zlib with the WINAPI/WINAPIV calling convention,
;    * define ZLIB_WINAPI.
;    * Caution: the standard ZLIB1.DLL is NOT compiled using ZLIB_WINAPI.
;    */
IFDEF ef ZLIB_WINAPI
IFDEF fdef FAR
ENDIF 
Include ude <windows.SDK
;/* No need for _export, use ZLIB.DEF instead. */ 
;/* For complete Windows compatibility, use WINAPI, not __stdcall. */ 
ZEXPORT	equ	< WINAPI>
IFDEF fdef WIN32
ZEXPORTVA	equ	< WINAPIV>
ELSE
ZEXPORTVA	equ	< FAR CDEC>
ENDIF 
ENDIF 
ENDIF 
IF DEFINED(__BEOS__)
IFDEF ef ZLIB_DLL
IFDEF fdef ZLIB_INTERNAL
ZEXPORT	equ	< dllexport>
ZEXPORTVA	equ	< dllexport>
ELSE
ZEXPORT	equ	< dllimport>
ZEXPORTVA	equ	< dllimport>
ENDIF 
ENDIF 
ENDIF 
IFNDEF ZEXTERN
ZEXTERN	equ	< extern>
ENDIF 
IFNDEF ZEXPORT
ZEXPORT	equ	
ENDIF 
IFNDEF ZEXPORTVA
ZEXPORTVA	equ	
ENDIF 
IFNDEF far1
far1	equ	
ENDIF 
IF  NOTDEFINED(__MACTYPES__)
;Byte  TYPEDEF  char
ENDIF 
;uInt  TYPEDEF  int
;uLong  TYPEDEF  long
IFDEF SMALL_MEDIUM
;/* Borland C/C++ and some old MSC versions ignore FAR inside typedef */ 
Bytef	equ	< Byte FAR>
ELSE
;Bytef  TYPEDEF  FAR inconnu 
ENDIF 
;charf  TYPEDEF  FAR inconnu 
;intf  TYPEDEF  FAR inconnu 
;uIntf  TYPEDEF  FAR inconnu 
;uLongf  TYPEDEF  FAR inconnu 
IFDEF STDC
;voidpc  TYPEDEF  DWORD 
;voidpf  TYPEDEF  DWORD 
;voidp  TYPEDEF  DWORD 
ELSE
;voidpc  TYPEDEF  DWORD 
;voidpf  TYPEDEF  DWORD 
;voidp  TYPEDEF  DWORD 
ENDIF 
IFDEF HAVE_UNISTD_H;/* may be set to #if 1 by ./configure */ 
Z_HAVE_UNISTD_H	equ	
ENDIF 
IFDEF STDC
;------------------------ Include e <sys/types.SDK;/* for off_t */ ----------
ENDIF 
;/* a little trick to accommodate both "#define _LARGEFILE64_SOURCE" and
; * "#define _LARGEFILE64_SOURCE 1" as requesting 64-bit operations, (even
; * though the former does not conform to the LFS document), but considering
; * both "#undef _LARGEFILE64_SOURCE" and "#define _LARGEFILE64_SOURCE 0" as
; * equivalently requesting no 64-bit operations
; */
;IF  -_LARGEFILE64_SOURCE --1 EQ 1
;ENDIF 
IF DEFINED(Z_HAVE_UNISTD_H) OR DEFINED(_LARGEFILE64_SOURCE)
;------------- Include e <unistd.SDK;/* for SEEK_* and off_t */ -------
IFDEF ef VMS
;--------------- Include ude <unixio.SDK;/* for off_t */ -------------
ENDIF 
IFNDEF ef z_off_t
z_off_t	equ	< off_t>
ENDIF 
ENDIF 
IFNDEF SEEK_SET
SEEK_SET	equ	< 0>
SEEK_CUR	equ	< 1>
SEEK_END	equ	< 2>
ENDIF 
IFNDEF z_off_t
z_off_t	equ	< long>
ENDIF 
IF DEFINED(_LARGEFILE64_SOURCE) AND  _LFS64_LARGEFILE-0
z_off64_t	equ	< off64_t>
ELSE
z_off64_t	equ	< z_off_t>
ENDIF 
IF DEFINED(__OS400__)
NO_vsnprintf	equ	
ENDIF 
IF DEFINED(__MVS__)
NO_vsnprintf	equ	
ENDIF 
;/* MVS linker does not support external names larger than 8 bytes */ 
IF DEFINED(__MVS__)
;ECHO   map(deflateInit_,"DEIN")
;ECHO   map(deflateInit2_,"DEIN2")
;ECHO   map(deflateEnd,"DEEND")
;ECHO   map(deflateBound,"DEBND")
;ECHO   map(inflateInit_,"ININ")
;ECHO   map(inflateInit2_,"ININ2")
;ECHO   map(inflateEnd,"INEND")
;ECHO   map(inflateSync,"INSY")
;ECHO   map(inflateSetDictionary,"INSEDI")
;ECHO   map(compressBound,"CMBND")
;ECHO   map(inflate_table,"INTABL")
;ECHO   map(inflate_fast,"INFA")
;ECHO   map(inflate_copyright,"INCOPY")
ENDIF 
ENDIF ;/* ZCONF_H */ 


;+ IF > endif  Dcompte des if: 0
